# textemplate

## What is this?

This is a template for latex which provides a fixed nice style for all our documents.  
Example: [example/pdf/example.pdf](example/pdf/example.pdf)

## How to use this template

- start a new latex project, using [example/example.tex](example/example.tex) as start template.
- in your project, include [textemplate](https://git.rommelwood.de/documents/textemplate) as git submodule.

```shell
git submodule add git@git.rommelwood.de:documents/textemplate.git
```
- initialize nested submodules:

```shell
git submodule update --init --recursive
```
- copy [`Makefile.example`](Makefile.example) to the main directory and adjust `TARGET`
- copy [`.gitignore`](.gitignore) to the main direcory (`.gitignore`)
- build the project using `make`

```shell
make
```
- the output pdf will be stored in `pdf/$filename.pdf`

## License

Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
