\ProvidesClass{textemplate}

\PassOptionsToClass{\CurrentOption}{article} % Optionen wie landscape an article weitergeben
\LoadClass[a4paper,12pt]{article}

\usepackage{marvosym,fancyhdr}
\usepackage{graphicx}
\usepackage{tabularx}
\usepackage{supertabular}
\usepackage{amssymb}
\usepackage{marvosym}
\usepackage{colortbl}
\usepackage{multicol}
\usepackage{eurosym}
\usepackage{parskip}                    % In Deutschland übliche Absätze
\usepackage{lmodern}                    % hübscherer Font
\usepackage[utf8]{inputenc}             % UTF-8 Zeichen
\usepackage[ngerman]{babel}             % Deutsche Zahlen-, Datumsformate
\usepackage[right=1.5cm,left=1.5cm,top=2cm,bottom=3cm]{geometry}      %Seitenränder
\usepackage{hyperref}

%include revision.tex (generated by makefile)
\IfFileExists{revision}{
	\input{revision} 
}{
	\ClassWarningNoLine{textemplate}{revision.tex not found, ignoring it. Please run 'make' if you can, otherwise the revision output will be skipped.}
	\newcommand{\Revision}{--- revision.tex not found ---}
}


%\hoffset = -1in \voffset = -1in
%\topmargin = 1cm
%\oddsidemargin = 1.5cm  \evensidemargin = 1.5cm
\headwidth = 18cm \headheight = 2cm \headsep = 0.3cm

% Remove indent on the beginning of new paragraphs
\setlength{\parindent}{0pt}

\pagestyle{fancy}

%\textwidth = 18cm \textheight = 25cm
\renewcommand{\familydefault}{\sfdefault}

\renewcommand{\headrulewidth}{0.0pt} % kein extra Unterstrich durch 'fancyhdr'-Packet
\renewcommand{\footrulewidth}{0.5pt} % Linie über Fußzeile
\fancyhf{} %alle footer/header Felder loeschen

\newcommand{\en}[1]{\small{\textit{#1}}}
\newcommand{\entiny}[1]{\tiny{\textit{#1}}}
\newcommand{\headtext}{\@title}

\fancyhead[LO]{
	\setlength{\unitlength}{1cm}
	\begin{picture}(18,1.0)
	\linethickness{1pt}
	\put(0.0,0.2){\makebox(14,0.8)[bl]{\Large \headtext}}
	\put(0.0,0.1){\line(1,0){14}}
	\put(14.3,-1.0){\resizebox{0.2\textwidth}{!}{\includegraphics[height=1cm]{\basedir/artwork/logo-association/logo.pdf}}}
	\end{picture}
}

\fancyfoot[L]{
        \@author
}
\fancyfoot[C]{
        \jobname @\Revision{}
}
\fancyfoot[R]{
        \today
}

\newcommand{\mailto}[1]{\href{mailto:#1}{\texttt{#1}}}
